<?php
$args = array(
    '_mod' => FILTER_SANITIZE_FULL_SPECIAL_CHARS,
    '_file' => FILTER_SANITIZE_FULL_SPECIAL_CHARS,
    '_qq' => FILTER_SANITIZE_FULL_SPECIAL_CHARS,
    '_pp' => [
        'filter' => FILTER_VALIDATE_INT,
        'options' => [
            'default' => 0,
            'min_range' => 0,
            'max_range' => 250
        ]
    ],
    '_dataID' => FILTER_SANITIZE_FULL_SPECIAL_CHARS
);
$get = filter_input_array(INPUT_GET, $args);
$mods = [
    'index', 'radio', 'auth', 'play', 'download', 'cover'
];
$get['_mod'] = in_array($get['_mod'], $mods) === false ? 'index' : $get['_mod'];
$get['_pp'] = (int)$get['_pp'];
define('filesPathAudio', FILES_PATH . 'audio/');
define('coreAudio', MODULE . 'audio/core/');
include_once 'module/' . $get['_mod'] . '.php';
?>